List articles (public)
curl --request GET \
--url https://{domain}/api/public/modules/knowledgebase/articlesimport requests
url = "https://{domain}/api/public/modules/knowledgebase/articles"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{domain}/api/public/modules/knowledgebase/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/public/modules/knowledgebase/articles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/public/modules/knowledgebase/articles"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/public/modules/knowledgebase/articles")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/public/modules/knowledgebase/articles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 102,
"title": "The status page addon",
"slug": "status-page-addon",
"url": "https://billing.example.com/knowledgebase/modules-integrations/status-page-addon",
"description": "Add monitors, report incidents, schedule maintenance and choose who gets notified, all from one admin page.",
"icon": null,
"is_featured": false,
"views": 2,
"order": 18,
"og_image": "https://billing.example.com/storage/knowledgebase/status-page-addon/top.webp",
"meta_title": "The status page addon",
"meta_description": "Add monitors, report incidents, schedule maintenance and choose who gets notified, all from one admin page.",
"category": {
"id": 13,
"name": "Modules and Integrations",
"slug": "modules-integrations"
},
"created_at": "2026-11-16T07:41:53Z",
"updated_at": "2026-11-16T07:27:33Z"
},
{
"id": 101,
"title": "The Discord webhooks addon",
"slug": "discord-webhooks-addon",
"url": "https://billing.example.com/knowledgebase/modules-integrations/discord-webhooks-addon",
"description": "Post Spartan events into Discord channels, choose events per webhook and follow every delivery.",
"icon": null,
"is_featured": false,
"views": 1,
"order": 17,
"og_image": "https://billing.example.com/storage/knowledgebase/discord-webhooks-addon/top.webp",
"meta_title": "The Discord webhooks addon",
"meta_description": "Post Spartan events into Discord channels, choose events per webhook and follow every delivery.",
"category": {
"id": 13,
"name": "Modules and Integrations",
"slug": "modules-integrations"
},
"created_at": "2026-11-16T07:41:53Z",
"updated_at": "2026-11-16T06:42:16Z"
}
],
"meta": {
"request_id": "f0f7bb46-3cb5-4c5e-8b34-77bff821e3b6",
"pagination": {
"current_page": 1,
"per_page": 2,
"total": 100,
"last_page": 50
}
}
}{
"error": {
"code": "validation_failed",
"message": "The request data is invalid.",
"details": {
"per_page": [
"The per page field must not be greater than 100."
]
}
},
"request_id": "3f6c2a1e-8b4d-4f7a-9c2e-5d1b7a9e0c42"
}{
"error": {
"code": "too_many_requests",
"message": "Too many requests. Retry after the number of seconds in the Retry-After header.",
"details": {}
},
"request_id": "db4f5a74-f1c8-4554-a36b-7dced81670a8"
}Knowledge Base (public)
List articles (public)
Articles, newest first, or in category order when category is set. An article is only public when it and its category are active.
This is the public, keyless version. It only returns what an anonymous visitor can see on your site, is cached for 60 seconds (edits in the admin area show up at once) and allows 60 requests per minute per IP.
Authentication: none, no API key needed.
Rate limit: 60 requests per minute per IP.
GET
/
public
/
modules
/
knowledgebase
/
articles
List articles (public)
curl --request GET \
--url https://{domain}/api/public/modules/knowledgebase/articlesimport requests
url = "https://{domain}/api/public/modules/knowledgebase/articles"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{domain}/api/public/modules/knowledgebase/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/public/modules/knowledgebase/articles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/public/modules/knowledgebase/articles"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/public/modules/knowledgebase/articles")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/public/modules/knowledgebase/articles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 102,
"title": "The status page addon",
"slug": "status-page-addon",
"url": "https://billing.example.com/knowledgebase/modules-integrations/status-page-addon",
"description": "Add monitors, report incidents, schedule maintenance and choose who gets notified, all from one admin page.",
"icon": null,
"is_featured": false,
"views": 2,
"order": 18,
"og_image": "https://billing.example.com/storage/knowledgebase/status-page-addon/top.webp",
"meta_title": "The status page addon",
"meta_description": "Add monitors, report incidents, schedule maintenance and choose who gets notified, all from one admin page.",
"category": {
"id": 13,
"name": "Modules and Integrations",
"slug": "modules-integrations"
},
"created_at": "2026-11-16T07:41:53Z",
"updated_at": "2026-11-16T07:27:33Z"
},
{
"id": 101,
"title": "The Discord webhooks addon",
"slug": "discord-webhooks-addon",
"url": "https://billing.example.com/knowledgebase/modules-integrations/discord-webhooks-addon",
"description": "Post Spartan events into Discord channels, choose events per webhook and follow every delivery.",
"icon": null,
"is_featured": false,
"views": 1,
"order": 17,
"og_image": "https://billing.example.com/storage/knowledgebase/discord-webhooks-addon/top.webp",
"meta_title": "The Discord webhooks addon",
"meta_description": "Post Spartan events into Discord channels, choose events per webhook and follow every delivery.",
"category": {
"id": 13,
"name": "Modules and Integrations",
"slug": "modules-integrations"
},
"created_at": "2026-11-16T07:41:53Z",
"updated_at": "2026-11-16T06:42:16Z"
}
],
"meta": {
"request_id": "f0f7bb46-3cb5-4c5e-8b34-77bff821e3b6",
"pagination": {
"current_page": 1,
"per_page": 2,
"total": 100,
"last_page": 50
}
}
}{
"error": {
"code": "validation_failed",
"message": "The request data is invalid.",
"details": {
"per_page": [
"The per page field must not be greater than 100."
]
}
},
"request_id": "3f6c2a1e-8b4d-4f7a-9c2e-5d1b7a9e0c42"
}{
"error": {
"code": "too_many_requests",
"message": "Too many requests. Retry after the number of seconds in the Retry-After header.",
"details": {}
},
"request_id": "db4f5a74-f1c8-4554-a36b-7dced81670a8"
}Query Parameters
Was this page helpful?

